Ray Class Reference (Kig Python Scripting API)

| # Kig Python Scripting API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members

Public Member Functions | Static Public Member Functions | List of all members
Ray Class Reference

An Object representing a ray. More...

`#include <line_imp.h>`

Inheritance diagram for Ray:
[legend]
Collaboration diagram for Ray:
[legend]

## Public Member Functions
| Ray (const Coordinate &a, const Coordinate &b)
| Construct a ray, starting at a, and going through b.
| Ray (const LineData &d)
| Construct a ray from a LineData.
Object * | transform (const Transformation &) const
| Return this Object, transformed by the transformation t.
Ray * | copy () const
| Returns a copy of this Object.
const ObjectType * | type () const
| Returns the lowermost ObjectType that this object is an instantiation of.
bool | containsPoint (const Coordinate &p, const KigDocument &doc) const
| Return whether this Curve contains the given point.
Public Member Functions inherited from AbstractLine
double | slope () const
| Get the slope of this AbstractLine.
const TQString | equationString () const
| Get a string containing the equation of this line in the form "y = a * x + b ".
LineData | data () const
| Get the LineData for this AbstractLine.
bool | equals (const Object &rhs) const
| Returns true if this Object is equal to rhs.
Public Member Functions inherited from Curve
Coordinate | attachPoint () const
| Returns a reference point where to attach labels; when this returns an invalidCoord then the attachment is either not done at all, or done in a specific way (like for curves, or for points) The treatment of points could also take advantage of this attachment mechanism.
Public Member Functions inherited from Object
bool | inherits (const ObjectType *t) const
| Returns true if this Object inherits the Object type represented by t.
bool | valid () const
| Returns true if this is a valid Object.

## Static Public Member Functions
static const ObjectType * | stype ()
| Returns the ObjectType representing the Ray type.
Static Public Member Functions inherited from AbstractLine
static const ObjectType * | stype ()
| Returns the ObjectType representing the AbstractLine type.
Static Public Member Functions inherited from Curve
static const ObjectType * | stype ()
| Returns the ObjectType representing the Curve type.
Static Public Member Functions inherited from Object
static const ObjectType * | stype ()
| The ObjectType representing the base Object class.

## Detailed Description

An Object representing a ray.

This means half of a line, it is infinite in one direction, but ends at a certain point in the other direction..

## Member Function Documentation

## ◆ containsPoint()

bool Ray::containsPoint | ( | const Coordinate & | p,
|  | const KigDocument & | ) const
| virtual

Return whether this Curve contains the given point.

This is implemented as a numerical approximation. lementations can/should use the value test_threshold in common.h as a threshold value.

Implements Curve.

## ◆ copy()

Ray * Ray::copy | ( |  | ) | const
| virtual

Returns a copy of this Object.

The copy is an exact copy. Changes to the copy don't affect the original.

Implements Curve.

References Ray().

## ◆ stype()

const ObjectType * Ray::stype | ( |  | ) |
| static

Returns the ObjectType representing the Ray type.

## ◆ type()

const ObjectType * Ray::type | ( |  | ) | const
| virtual

Returns the lowermost ObjectType that this object is an instantiation of.

E.g. if you want to get a string containing the internal name of the type of an object, you can do:

tn = object.type().internalName()

Implements Object.

This file is part of the documentation for tdelibs .
Documentation copyright © 1996-2002 the KDE developers.
Generated on by doxygen 1.16.1 written by Dimitri van Heesch, © 1997-2001